Subject: Re: [PATCH 2/2] eHEA: Receive SKB Aggregation, generic LRO helper functions

From: Evgeniy Polyakov <[email-masked]>
Date: Thu, 5 Jul 2007 19:45:35 +0400

On Thu, Jul 05, 2007 at 04:24:46PM +0200, Jan-Bernd Themann ([email-masked]) wrote:
> > I've couple of comments on the driver, but mainly the fact of decreased
> > CPU usage itself - what was the magnitude of the win with this driver,
> > it looks like because of per-packet receive code path invocation is the
> > place of the latency...
> > Your implementation looks generic enough to be used by any driver, don't
> > you want to push it separately from eHEA driver?
> > 
> 
> We can try to come up with a generic file with these helperfunctions.
> What do you think about putting them into /net/ipv4/inet_lro.c and 
> /include/linux/inet_lro.h ?

The more I think, the more it looks as appropriate to be used by all hardware
drivers with proper API. As far as I recall this is third implementation
in the linux drivers :)

-- 
	Evgeniy Polyakov